
QGIS Application - Bug report #14731

Project file data loss

2016-04-26 12:24 AM - Magnus Nilsson

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 22689

Description

Hi

When opening a .qgs file used yesterday, I noticed that the project had lost almost all of the data, such as linked SHP-files. I have lost a

few hours of work due to this and this is a bit worrying for further work. It is this first time I observe this and I am the only one working with

the project file.

QGIS 2.14.0, 64 bit

Windows 7, 64 bit

Related issues:

Related to QGIS Application - Feature request # 14460: Avoid corrupted qgs fi... Open 2016-03-11

History

#1 - 2016-04-26 01:06 AM - Jürgen Fischer

- Status changed from Open to Feedback

- Priority changed from High to Normal

Include information about what you did different this time or other steps to reproduce.

#2 - 2016-04-26 01:14 AM - Magnus Nilsson

I wish I could provide steps to reproduce, but I think that will be hard. Yesterday, I experimented a bit with different parts of QGIS, such as creating a new

virtual layer, Processing-Intersection, GroupStats and so on. I have not used these tools much before yesterday, not sure if one of these was the cause of

the data loss.

#3 - 2016-04-26 03:53 AM - Magnus Nilsson

This might be related to virtual layers, since at least one more user reported this problem in a project using virtual layers, 

https://lists.osgeo.org/pipermail/qgis-user/2016-April/036146.html.

#4 - 2016-04-26 10:58 PM - Magnus Nilsson

- File Stationskarta_översikt.qgs added

Example of a broken project file attached.
#5 - 2016-05-23 05:17 AM - Giovanni Manghi

- Category set to Project Loading/Saving

- Priority changed from Normal to High

Thanks for the project, but I'm not sure ow this can help troubleshooting this issue.

If you find a clear way to replicate please let us know.

#6 - 2016-06-26 03:59 AM - Matthias Kuhn

- Resolution set to not reproducable

- Status changed from Feedback to Closed

It is impossible to fix this issue with the information provided in this report.

If you have additional information that will help to reproduce/fix this problem, please reopen this issue.

Thank you for reporting and sorry that we can not help.

Files

Stationskarta_översikt.qgs 226 KB 2016-04-26 Magnus Nilsson
